summaryrefslogtreecommitdiff
path: root/build-repo.sh
diff options
context:
space:
mode:
authordavidovski <david@davidovski.xyz>2021-12-22 23:52:15 +0000
committerdavidovski <david@davidovski.xyz>2021-12-22 23:52:15 +0000
commita0d18a666de03df45f5690e28bb1c4ecb60e7f11 (patch)
tree7176f5dec616bc9b25512a73a34b41839154c2f0 /build-repo.sh
parent93c7ca3e86dbe088430826d8503da435cbbe4016 (diff)
added only variable to only build a single package or list of packages
Diffstat (limited to 'build-repo.sh')
-rwxr-xr-xbuild-repo.sh17
1 files changed, 11 insertions, 6 deletions
diff --git a/build-repo.sh b/build-repo.sh
index 71ef23c..fd60aa9 100755
--- a/build-repo.sh
+++ b/build-repo.sh
@@ -26,12 +26,18 @@ build () {
start-index $REPO_NAME $REPO_INDEX
printf "" > xibuild.report.log
- for BUILD_FILE in $REPO/*; do
- DEST=dist/$REPO_NAME
+ for BUILD_FILE in $REPO/*.xibuild; do
+ if [ ${#ONLY[@]} == 0 ] || ( echo ${ONLY[*]} | grep -q $(basename -s .xibuild $BUILD_FILE)); then
- $XIBUILD -o $DEST $BUILD_FILE
-
- extend-index $BUILD_FILE $REPO_INDEX
+ DEST=dist/$REPO_NAME
+
+ $XIBUILD -o $DEST $BUILD_FILE
+
+ extend-index $BUILD_FILE $REPO_INDEX
+
+ else
+ echo "skipping $BUILD_FILE"
+ fi
done;
rm xibuild.report.log
@@ -171,4 +177,3 @@ fetch
build
index
clean
-sync $@